declare type DnDHandlers = {
    mouseDown: (event: MouseEvent) => void;
    mouseUp: (event: MouseEvent) => void;
    mouseMove: (event: MouseEvent) => void;
};
export declare const useDragAndDropEffect: <El extends HTMLElement>(el: El | null, { mouseDown, mouseUp, mouseMove }: DnDHandlers) => void;
export {};
